Index: mibs/d-link/DES-1210-28ME_B2
===================================================================
--- mibs/d-link/DES-1210-28ME_B2	(revision 11288)
+++ mibs/d-link/DES-1210-28ME_B2	(working copy)
@@ -14374,7 +23271,1213 @@
          log entries shall be deleted by the agent."
      ::= { rmonEventEntry 6 }
                   
+
+        -- ----------------------------------------------------------------
+        -- The Neighbor Setting group
+        -- ----------------------------------------------------------------
+
+        neighborTable OBJECT-TYPE
+            SYNTAX SEQUENCE OF NeighborEntry
+            MAX-ACCESS not-accessible
+            STATUS current
+            DESCRIPTION
+                "A list of the Neighbor Cache Table."
+            ::= { companyNeighbor  1 }
+
+        neighborEntry OBJECT-TYPE
+            SYNTAX NeighborEntry
+            MAX-ACCESS not-accessible
+            STATUS current
+            DESCRIPTION
+                "A Neighbor cache entry containing the ifindex and ipv6 addr."
+            INDEX { neighborIfindex, neighborIPv6Addr, neighborMACAddr}
+            ::= { neighborTable 1 }
+
+        NeighborEntry ::= SEQUENCE {
+            neighborIfindex         INTEGER,
+            neighborIPv6Addr        Ipv6Address,
+            neighborMACAddr         MacAddress,
+            neighborType            INTEGER,
+            neighborCacheState      INTEGER,
+            neighborActiveStatus    INTEGER,
+            neighborRowStatus       RowStatus
+        }
+
+         neighborIfindex OBJECT-TYPE
+           SYNTAX  INTEGER (1..255)
+           MAX-ACCESS read-only
+           STATUS current
+           DESCRIPTION
+               "The interface index of the Neighbor entry.
+               Must be conform to the existing interface name."
+           ::= { neighborEntry 1 }
+
+        neighborIPv6Addr  OBJECT-TYPE
+           SYNTAX      Ipv6Address
+           MAX-ACCESS  read-only
+           STATUS      current
+           DESCRIPTION 
+              "Allows the entry of an IP address that will be a Neighbor entry into
+               the Neighbor Cache Table."
+           ::= { neighborEntry 2 }
+
+         neighborMACAddr OBJECT-TYPE
+           SYNTAX MacAddress
+           MAX-ACCESS read-only
+           STATUS current
+           DESCRIPTION
+               "The MAC address associated of the Neighbor entry."
+           ::= { neighborEntry 3 }
+
+         neighborType OBJECT-TYPE
+           SYNTAX  INTEGER {
+                       static(1),
+                       dynamic(2)
+                   }
+           MAX-ACCESS read-only
+           STATUS current
+           DESCRIPTION
+               "The type associated of the Neighbor entry."
+           ::= { neighborEntry 4 }
+
+         neighborCacheState OBJECT-TYPE
+           SYNTAX  INTEGER {
+                       static(1),
+                       reachable(2),
+                       incomplete(3),
+                       stale(4),
+                       delay(5),
+                       probe(6),
+                       notinservice(7)
+                   }
+           MAX-ACCESS read-only
+           STATUS current
+           DESCRIPTION
+               "The type associated of the Neighbor entry."
+           ::= { neighborEntry 5 }
+
+         neighborActiveStatus OBJECT-TYPE
+           SYNTAX  INTEGER {
+                       active(1),
+                       inactive(2)
+                   }
+           MAX-ACCESS read-only
+           STATUS current
+           DESCRIPTION
+               "The active status of the Neighbor entry."
+           ::= { neighborEntry 6 }
+
+         neighborRowStatus OBJECT-TYPE
+            SYNTAX     RowStatus
+            MAX-ACCESS read-write
+            STATUS     current
+            DESCRIPTION
+                "The status of an entry in the Neighbor Cache Table.  Only a subset
+                 of the rowstatus variables (active, createAndGo, destroy) are available."
+            ::= { neighborEntry 7 }
+
+
+        dhcpv6RelayControl                   OBJECT IDENTIFIER ::= { companyDHCPv6Relay 1 }
+        dhcpv6RelayManagement                OBJECT IDENTIFIER ::= { companyDHCPv6Relay 2 }
+        dhcpv6RelayOption37                  OBJECT IDENTIFIER ::= { companyDHCPv6Relay 3 }
+        dhcpv6RelayOption38                  OBJECT IDENTIFIER ::= { companyDHCPv6Relay 4 }
+        dhcpv6RelayOption18                  OBJECT IDENTIFIER ::= { companyDHCPv6Relay 5 }
+        -- ----------------------------------------------------------
+		-- The DHCPv6 Relay
+		-- ----------------------------------------------------------
+
+		-- The DHCPv6 Relay Control
+
+            dhcpv6RelayState OBJECT-TYPE
+                SYNTAX  INTEGER {
+                    enabled(1),
+                    disabled(2)
+                }
+                MAX-ACCESS  read-write
+                STATUS  current
+                DESCRIPTION
+                    "This object indicates DHCPv6 relay function is enabled or disabled."
+            ::= { dhcpv6RelayControl 1 }
+
+            dhcpv6RelayHopCount OBJECT-TYPE
+                SYNTAX  INTEGER (1..16)
+                MAX-ACCESS  read-write
+                STATUS  current
+                DESCRIPTION
+                    "This object indicates the maximum number of router hops that the DHCPv6 packets can cross."
+            ::= { dhcpv6RelayControl 2 }
+
+            dhcpv6RelayEnablePortlist OBJECT-TYPE 
+               SYNTAX      PortList
+               MAX-ACCESS  read-write 
+             STATUS      current 
+             DESCRIPTION 
+                 "This object indicates DHCPv6 relay function is enabled or disabled by portlist."
+             ::= { dhcpv6RelayControl 3 }
+
+		-- The DHCPv6 Relay Management
+		-- The DHCPv6 Relay Interface Settings Table
+
+            dhcpv6RelayInterfaceSettingsTable OBJECT-TYPE
+                SYNTAX  SEQUENCE OF DHCPv6RelayInterfaceSettings
+                MAX-ACCESS  not-accessible
+                STATUS  current
+                DESCRIPTION
+                    "This table indicates the IP address as a destination to forward (relay) DHCP packets to."
+            ::= { dhcpv6RelayManagement 1 }
+
+            dhcpv6RelayInterfaceSettingsEntry OBJECT-TYPE
+                SYNTAX  DHCPv6RelayInterfaceSettings
+                MAX-ACCESS  not-accessible
+                STATUS  current
+                DESCRIPTION
+                    "A list of information indicates the IP address as a destination to forward (relay) DHCP packets to."
+                INDEX  { dhcpv6RelayInterface,  dhcpv6RelayServerIP}
+            ::= { dhcpv6RelayInterfaceSettingsTable 1 }
+
+            DHCPv6RelayInterfaceSettings ::=
+                SEQUENCE {
+                    dhcpv6RelayInterface
+                        DisplayString,
+                    dhcpv6RelayServerIP
+                        Ipv6Address,
+                    dhcpv6RelayInterfaceSettingsRowStatus
+                        RowStatus
+                }
+            dhcpv6RelayInterface OBJECT-TYPE
+                SYNTAX  DisplayString (SIZE(0..12))
+                MAX-ACCESS  read-only
+                STATUS  current
+                DESCRIPTION
+                    "This object indicates the maximum number of router hops that the DHCPv6 packets can cross."
+            ::= { dhcpv6RelayInterfaceSettingsEntry 1 }
+            
+            dhcpv6RelayServerIP OBJECT-TYPE
+                SYNTAX Ipv6Address
+                MAX-ACCESS  read-only
+                STATUS current
+                DESCRIPTION
+                    "This object indicates the DHCP server IP address."
+            ::= { dhcpv6RelayInterfaceSettingsEntry 2 }
+
+            dhcpv6RelayInterfaceSettingsRowStatus OBJECT-TYPE
+                SYNTAX  RowStatus
+                MAX-ACCESS  read-create
+                STATUS  current
+                DESCRIPTION
+                    "This object indicates the status of this entry."
+            ::= { dhcpv6RelayInterfaceSettingsEntry 99 }
+
+
+		-- The DHCPv6 Relay Option37
+
+            dhcpv6RelayOption37State OBJECT-TYPE
+                SYNTAX  INTEGER {
+                    disabled(0),
+                    enabled(1)
+                }
+                MAX-ACCESS  read-write
+                STATUS  current
+                DESCRIPTION
+                    "This object indicates DHCPv6 relay option 37 function is enabled or disabled."
+            ::= { dhcpv6RelayOption37 1 }
+
+            dhcpv6RelayOption37CheckState OBJECT-TYPE
+                SYNTAX  INTEGER {
+                    disabled(0),
+                    enabled(1)
+                }
+                MAX-ACCESS  read-write
+                STATUS  current
+                DESCRIPTION
+                    "This object indicates DHCPv6 relay option 37 Check function is enabled or disabled."
+            ::= { dhcpv6RelayOption37 2 }
+
+--            dhcpv6RelayOption37Policy OBJECT-TYPE
+--                SYNTAX  INTEGER {
+--                    replace(1),
+--                    drop(2),
+--                    keep(3)
+--                }
+--                MAX-ACCESS  read-write
+--                STATUS  current
+--                DESCRIPTION
+--                    "This object indicates DHCPv6 relay option 37 policy."
+--            ::= { dhcpv6RelayOption37 3 }
+
+	        dhcpv6RelayOption37RemoteIDType OBJECT-TYPE
+                SYNTAX  INTEGER {
+                    default(0),
+                    cid-with-user-define(1),
+                    user-define(2)
+                }
+                MAX-ACCESS  read-write
+                STATUS  current
+                DESCRIPTION
+                    "This object indicates the type of remote ID."
+            ::= { dhcpv6RelayOption37 3 }
+
+	        dhcpv6RelayOption37RemoteID OBJECT-TYPE
+                SYNTAX  DisplayString
+                MAX-ACCESS  read-write
+                STATUS  current
+                DESCRIPTION
+                    "This object displays the current remote ID of the device.
+                    If RemoteIDType is set to default, the value will be the MAC address of the device,
+                    and this object cannot be modified.
+                    If RemoteIDType is set to user-defined, a new value can be written to this object."
+            ::= { dhcpv6RelayOption37 4 }
+            
+
+    dhcpv6RelayOpt38Table     OBJECT-TYPE
+        SYNTAX SEQUENCE OF Dhcpv6RelayOpt38Entry
+        MAX-ACCESS not-accessible
+        STATUS current
+        DESCRIPTION
+            "A table to control port security features of the device."
+        ::= { dhcpv6RelayOption38 1 }
+        
+    dhcpv6RelayOpt38Entry OBJECT-TYPE
+        SYNTAX Dhcpv6RelayOpt38Entry
+        MAX-ACCESS not-accessible
+        STATUS current
+        DESCRIPTION
+            "An entry appears in port security table for each interface 
+ 	        in the system."
+        INDEX { dhcpv6RelayOpt38PortIndex }
+        ::= { dhcpv6RelayOpt38Table 1 }
+  
+    Dhcpv6RelayOpt38Entry ::= 
+           SEQUENCE { 
+              dhcpv6RelayOpt38PortIndex 
+                 Integer32, 
+              dhcpv6RelayOpt38PortState 
+                 INTEGER, 
+              dhcpv6RelayOpt38PortType 
+                 INTEGER, 
+              dhcpv6RelayOpt38PortID 
+                 DisplayString             
+          }
+        
+               
+         dhcpv6RelayOpt38PortIndex OBJECT-TYPE 
+           SYNTAX      Integer32 (1..28)
+           MAX-ACCESS  read-only 
+           STATUS      current 
+           DESCRIPTION 
+              "The interface index for which the configuration in this 
+               entry applies.
+              For all machines give maximum port number."
+           ::= { dhcpv6RelayOpt38Entry 1 }
+            
+        
+         dhcpv6RelayOpt38PortState OBJECT-TYPE
+           SYNTAX INTEGER  {
+        		  disabled (0), enabled (1)
+            }
+           MAX-ACCESS  read-write
+           STATUS      current
+           DESCRIPTION
+              "Enable / disable option 38 port state."
+        
+           ::= { dhcpv6RelayOpt38Entry 2 }
+        
+        
+        dhcpv6RelayOpt38PortType OBJECT-TYPE 
+           SYNTAX INTEGER  {
+        		  default (0), user-defined (1)
+            }
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+              "Configure option 38 port Type."
+        
+           ::= {dhcpv6RelayOpt38Entry 3}
+
+        dhcpv6RelayOpt38PortID OBJECT-TYPE 
+           SYNTAX      DisplayString
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+              "Configure option 38 port ID. Only works when type is user-defined"
+        
+           ::= {dhcpv6RelayOpt38Entry 4}
+           
+		-- The DHCPv6 Relay Option18
+
+            dhcpv6RelayOption18State OBJECT-TYPE
+                SYNTAX  INTEGER {
+                    disabled(0),
+                    enabled(1)
+                }
+                MAX-ACCESS  read-write
+                STATUS  current
+                DESCRIPTION
+                    "This object indicates DHCPv6 relay option 18 function is enabled or disabled."
+            ::= { dhcpv6RelayOption18 1 }
+
+            dhcpv6RelayOption18CheckState OBJECT-TYPE
+                SYNTAX  INTEGER {
+                    disabled(0),
+                    enabled(1)
+                }
+                MAX-ACCESS  read-write
+                STATUS  current
+                DESCRIPTION
+                    "This object indicates DHCPv6 relay option 18 Check function is enabled or disabled."
+            ::= { dhcpv6RelayOption18 2 }
+
+	        dhcpv6RelayOption18InterfaceIDType OBJECT-TYPE
+                SYNTAX  INTEGER {
+                    default(0),
+                    cid(1),
+                    vendor1(2)
+                }
+                MAX-ACCESS  read-write
+                STATUS  current
+                DESCRIPTION
+                    "This object indicates the type of Interface ID."
+            ::= { dhcpv6RelayOption18 3 }
+           
+     
+	-- ----------------------------------------------------------------------------
+	-- The Vlan Mac Map Table
+	-- ---------------------------------------------------------------------------- 
+	 
+	macBasedVlanTable OBJECT-TYPE 
+	   SYNTAX      SEQUENCE OF MacBasedVlanEntry 
+	   MAX-ACCESS  not-accessible 
+	   STATUS      current 
+	   DESCRIPTION 
+	      "A table that contains information on Vlan-MAC address 
+	      mapping." 
+	   ::= { companyMacBasedVlan 1 } 
+	 
+	macBasedVlanEntry OBJECT-TYPE
+	   SYNTAX      MacBasedVlanEntry
+	   MAX-ACCESS  not-accessible 
+	   STATUS      current 
+	   DESCRIPTION 
+	      "Entry that contains Vlan-MAC address mapping." 
+	   INDEX { vlanMacMapIndex }
+	   ::= { macBasedVlanTable 1 }
+	    
+        MacBasedVlanEntry ::=
+            SEQUENCE {
+                vlanMacMapIndex
+                    Integer32,            
+                vlanMacMapAddr
+                    MacAddress,          
+                vlanMacMapAddrMask
+                    MacAddress,
+                vlanMacMapVid
+                    VlanIndex,
+                vlanMacStatus
+                    DisplayString,
+                vlanMacType
+                    DisplayString,
+                vlanMacMapRowStatus
+                    RowStatus
+            }
+
+	vlanMacMapIndex OBJECT-TYPE
+       SYNTAX      Integer32 (1..128) 
+       MAX-ACCESS  read-only 
+       STATUS      current 
+       DESCRIPTION 
+        "Index of cmMacBasedVlanEntry. This object indicates the mac vlan entry for which 
+        the configurations in cmMacBasedVlanEntry is to be done." 
+   	   ::= { macBasedVlanEntry 1 }	
+
+	vlanMacMapAddr OBJECT-TYPE
+	   SYNTAX      MacAddress  
+	   MAX-ACCESS  read-write 
+	   STATUS      current 
+	   DESCRIPTION 
+	      "The Mac address for which the Vlan mapping is present in the entry." 
+	      
+	   ::= { macBasedVlanEntry 2 }
+	vlanMacMapAddrMask OBJECT-TYPE
+	   SYNTAX      MacAddress  
+	   MAX-ACCESS  read-write 
+	   STATUS      current 
+	   DESCRIPTION 
+	      "The Mac address for which the Vlan mapping is present in the entry." 
+	   ::= { macBasedVlanEntry 3 }
+	 
+	vlanMacMapVid OBJECT-TYPE
+	   SYNTAX      VlanIndex 
+	   MAX-ACCESS  read-write 
+	   STATUS      current 
+	   DESCRIPTION 
+	      "The Vlan to which the mac address of this entry is mapped to." 
+	   ::= { macBasedVlanEntry 4 }
+	 
+	vlanMacStatus OBJECT-TYPE
+	   SYNTAX      DisplayString 
+	   MAX-ACCESS  read-only
+	   STATUS      current 
+	   DESCRIPTION 
+	      "The status given to the mac-vlan entry." 
+	   ::= { macBasedVlanEntry 5 }
+	   
+	vlanMacType OBJECT-TYPE
+	   SYNTAX      DisplayString 
+	   MAX-ACCESS  read-only
+	   STATUS      current 
+	   DESCRIPTION 
+	      "The type given to the mac-vlan entry." 
+	   ::= { macBasedVlanEntry 6 }
+
+	 
+	vlanMacMapRowStatus OBJECT-TYPE
+	   SYNTAX      RowStatus 
+	   MAX-ACCESS  read-write 
+	   STATUS      current 
+	   DESCRIPTION 
+	      "The row status of the entry."  
+	   ::= { macBasedVlanEntry 99 }
+    
+--  macBasedVlanMethod OBJECT-TYPE 
+--     SYNTAX      INTEGER {
+--                  single(1),
+--                  range(2)
+--                 }
+--     MAX-ACCESS  read-write
+--     STATUS      current
+--     DESCRIPTION 
+--        "A method of Vlan-MAC address mapping." 
+--     ::= { companyMacBasedVlan 2 } 
+
+
+
+
+	macBasedVlanLearningTable OBJECT-TYPE 
+	   SYNTAX      SEQUENCE OF MacBasedVlanLearningEntry 
+	   MAX-ACCESS  not-accessible 
+	   STATUS      current 
+	   DESCRIPTION 
+	      "A table that contains information on Vlan-MAC address 
+	      mapping by sw learning." 
+	   ::= { companyMacBasedVlan 2 } 
+
+	macBasedVlanLearningEntry OBJECT-TYPE
+	   SYNTAX      MacBasedVlanLearningEntry
+	   MAX-ACCESS  not-accessible 
+	   STATUS      current 
+	   DESCRIPTION 
+	      "Entry that contains Vlan-MAC address mapping by sw learning." 
+	   INDEX { vlanMacMapLearningAddr }
+	   ::= { macBasedVlanLearningTable 1 }
+
+        MacBasedVlanLearningEntry ::=
+            SEQUENCE {
+                vlanMacMapLearningAddr
+                    MacAddress,          
+                vlanMacMapLearningVid
+                    VlanIndex,
+                vlanMacLearningStatus
+                    DisplayString,
+                vlanMacLearningType
+                    DisplayString,
+                vlanMacMapLearningRowStatus
+                    RowStatus
+            }
+
+	vlanMacMapLearningAddr OBJECT-TYPE
+	   SYNTAX      MacAddress  
+	   MAX-ACCESS  read-only
+	   STATUS      current 
+	   DESCRIPTION 
+	      "The Mac address for which the Vlan mapping is present in the learning entry." 
+	   ::= { macBasedVlanLearningEntry 1 }
+
+	vlanMacMapLearningVid OBJECT-TYPE
+	   SYNTAX      VlanIndex 
+	   MAX-ACCESS  read-only
+	   STATUS      current 
+	   DESCRIPTION 
+	      "The Vlan to which the mac address of this learning entry is mapped to." 
+	   ::= { macBasedVlanLearningEntry 2 }
+
+	vlanMacLearningStatus OBJECT-TYPE
+	   SYNTAX      DisplayString 
+	   MAX-ACCESS  read-only
+	   STATUS      current 
+	   DESCRIPTION 
+	      "The status given to the mac-vlan learning entry." 
+	   ::= { macBasedVlanLearningEntry 3 }
+
+	vlanMacLearningType OBJECT-TYPE
+	   SYNTAX      DisplayString 
+	   MAX-ACCESS  read-only
+	   STATUS      current 
+	   DESCRIPTION 
+	      "The type given to the mac-vlan learning entry." 
+	   ::= { macBasedVlanLearningEntry 4 }
+
+	vlanMacMapLearningRowStatus OBJECT-TYPE
+	   SYNTAX      RowStatus 
+	   MAX-ACCESS  read-only
+	   STATUS      current 
+	   DESCRIPTION 
+	      "The row status of the learning entry."  
+	   ::= { macBasedVlanLearningEntry 99 }
+
+
+
+    -- ----------------------------------------------------------
+		-- The sfpVendorInfoTable
+		-- ----------------------------------------------------------
+		
+		
+            sfpVendorInfoTable OBJECT-TYPE
+                SYNTAX  SEQUENCE OF SfpVendorInfoEntry
+                MAX-ACCESS  not-accessible
+                STATUS  current
+                DESCRIPTION
+                    "This table indicates the IP address as a destination to forward (relay) DHCP packets to."
+            ::= { companySfpVendorInfo 1 }
+
+            sfpVendorInfoEntry OBJECT-TYPE
+                SYNTAX  SfpVendorInfoEntry
+                MAX-ACCESS  not-accessible
+                STATUS  current
+                DESCRIPTION
+                    "A list of information indicates the IP address as a destination to forward (relay) DHCP packets to."
+                INDEX  { sfpPortIndex }
+            ::= { sfpVendorInfoTable 1 }
+
+            SfpVendorInfoEntry ::= 
+                   SEQUENCE { 
+                      sfpPortIndex 
+                         Integer32, 
+                      sfpConnectorType 
+                         DisplayString, 
+                      sfpTranceiverCode
+                         DisplayString, 
+                      sfpBaudRate
+                         DisplayString, 
+                      sfpVendorName
+                         DisplayString, 
+                      sfpVendorOui
+                         DisplayString, 
+                      sfpVendorPn
+                         DisplayString, 
+                      sfpVendorRev
+                         DisplayString, 
+                      sfpWavelength
+                         DisplayString, 
+                      sfpVendorSn
+                         DisplayString, 
+                      sfpDateCode
+                         DisplayString
+                  }
+            
+
+                 sfpPortIndex     OBJECT-TYPE 
+                   SYNTAX      Integer32 (1..28)
+                   MAX-ACCESS  read-only 
+                   STATUS      current 
+                   DESCRIPTION 
+                      "The available of index for fiber ports."
+                   ::= { sfpVendorInfoEntry 1 }
+
+                sfpConnectorType OBJECT-TYPE 
+                   SYNTAX      DisplayString
+                   MAX-ACCESS  read-only 
+                   STATUS      current 
+                   DESCRIPTION 
+                      ""
+                   ::= {sfpVendorInfoEntry 2}
+
+                sfpTranceiverCode OBJECT-TYPE 
+                   SYNTAX      DisplayString
+                   MAX-ACCESS  read-only 
+                   STATUS      current 
+                   DESCRIPTION 
+                      ""
+                   ::= {sfpVendorInfoEntry 3}
+
+                sfpBaudRate OBJECT-TYPE 
+                   SYNTAX      DisplayString
+                   MAX-ACCESS  read-only 
+                   STATUS      current 
+                   DESCRIPTION 
+                      ""
+                   ::= {sfpVendorInfoEntry 4}
+
+                sfpVendorName OBJECT-TYPE 
+                   SYNTAX      DisplayString
+                   MAX-ACCESS  read-only 
+                   STATUS      current 
+                   DESCRIPTION 
+                      ""
+                   ::= {sfpVendorInfoEntry 5}
+
+                sfpVendorOui OBJECT-TYPE 
+                   SYNTAX      DisplayString
+                   MAX-ACCESS  read-only 
+                   STATUS      current 
+                   DESCRIPTION 
+                      ""
+                   ::= {sfpVendorInfoEntry 6}
+
+                sfpVendorPn OBJECT-TYPE 
+                   SYNTAX      DisplayString
+                   MAX-ACCESS  read-only 
+                   STATUS      current 
+                   DESCRIPTION 
+                      ""
+                   ::= {sfpVendorInfoEntry 7}
+
+                sfpVendorRev OBJECT-TYPE 
+                   SYNTAX      DisplayString
+                   MAX-ACCESS  read-only 
+                   STATUS      current 
+                   DESCRIPTION 
+                      ""
+                   ::= {sfpVendorInfoEntry 8}
+
+                sfpWavelength OBJECT-TYPE 
+                   SYNTAX      DisplayString
+                   MAX-ACCESS  read-only 
+                   STATUS      current 
+                   DESCRIPTION 
+                      ""
+                   ::= {sfpVendorInfoEntry 9}
+
+                sfpVendorSn OBJECT-TYPE 
+                   SYNTAX      DisplayString
+                   MAX-ACCESS  read-only 
+                   STATUS      current 
+                   DESCRIPTION 
+                      ""
+                   ::= {sfpVendorInfoEntry 10}
+
+                sfpDateCode OBJECT-TYPE 
+                   SYNTAX      DisplayString
+                   MAX-ACCESS  read-only 
+                   STATUS      current 
+                   DESCRIPTION 
+                      ""
+                   ::= {sfpVendorInfoEntry 11}
+
+
+-- --------------------------------------------------------------------------
+    ddmCtrl	            OBJECT IDENTIFIER ::={companyDDM 1}
+    ddmInfo	            OBJECT IDENTIFIER ::={companyDDM 2}
+-- --------------------------------------------------------------------------
+--  DdmCtrl
+-- --------------------------------------------------------------------------
+
+    ddmPowerUnit    OBJECT-TYPE
+        SYNTAX  INTEGER {
+                         mw(0),
+                         dbm(1)
+                        }
+        MAX-ACCESS  read-write
+        STATUS  current
+        DESCRIPTION
+            "This object indicates the TX/RX power global unit."
+        DEFVAL{mw}
+            ::= {ddmCtrl 1}
+        		
+--ddmActionMgmt
+ 
+    ddmActionMgmtTable	OBJECT-TYPE
+    		SYNTAX  SEQUENCE OF DdmActionMgmtEntry
+    		MAX-ACCESS  not-accessible
+        STATUS  obsolete
+        DESCRIPTION
+                "This table contains the configuration of the action taken 
+                when any parameter exceeds its threshold."
+            ::= {ddmCtrl 2}
           
+    ddmActionMgmtEntry	OBJECT-TYPE
+    		SYNTAX	DdmActionMgmtEntry
+    		MAX-ACCESS  not-accessible
+        STATUS  obsolete
+        DESCRIPTION
+          "This is an entry of the swDdmConfigActionTable."
+        INDEX  {ddmActionPort }
+          ::= {ddmActionMgmtTable 1}
+    
+    DdmActionMgmtEntry ::=
+        SEQUENCE {
+              ddmActionPort
+                    INTEGER,
+              ddmActionState
+                    INTEGER,
+              ddmActionShutdown
+                    INTEGER
+                 }  
+                 
+    ddmActionPort	OBJECT-TYPE
+    		SYNTAX  INTEGER (1..28)
+        MAX-ACCESS  read-only
+        STATUS  current
+        DESCRIPTION
+            "This object indicates the port.
+            The available of index for fiber ports."
+            ::= {ddmActionMgmtEntry 1}	
+    
+    
+    ddmActionState OBJECT-TYPE
+    		SYNTAX  INTEGER {
+    					disable(0),
+    					enable(1)
+    					}
+        MAX-ACCESS  read-write
+        STATUS  obsolete
+        DESCRIPTION
+            "This object indicates the action type."
+            ::= {ddmActionMgmtEntry 2} 
+    
+    ddmActionShutdown OBJECT-TYPE
+    		SYNTAX  INTEGER {
+    		            none(0),
+    					alarm(1),
+    					warning(2)
+    					}
+        MAX-ACCESS  read-write
+        STATUS  obsolete
+        DESCRIPTION
+            "This object indicates the action type."
+            ::= {ddmActionMgmtEntry 3} 
+  
+
+--ddmThresholdMgmt
+
+    ddmThresholdMgmtTable	OBJECT-TYPE
+    		SYNTAX  SEQUENCE OF DdmThresholdMgmtEntry
+    		MAX-ACCESS  not-accessible
+        STATUS  current
+        DESCRIPTION
+                "This table contains DDM temperature configuration information."
+            ::= {ddmCtrl 3}
+            
+    ddmThresholdMgmtEntry OBJECT-TYPE
+    		SYNTAX  DdmThresholdMgmtEntry
+        MAX-ACCESS  not-accessible
+        STATUS  current
+        DESCRIPTION
+          "This is an entry of the swDdmConfigThresholdTable."
+        INDEX  {ddmThresholdPort ,ddmThresholdType}
+          ::= {ddmThresholdMgmtTable 1}
+    
+    DdmThresholdMgmtEntry	::=
+        SEQUENCE {
+                  ddmThresholdPort
+                      INTEGER,
+                  ddmThresholdType
+                      INTEGER,
+                  ddmHighAlarm
+                      DisplayString,
+                  ddmLowAlarm
+                      DisplayString,
+                  ddmHighWarning
+                      DisplayString,
+                  ddmLowWarning
+                      DisplayString
+                  }
+            
+    ddmThresholdPort	OBJECT-TYPE
+    		SYNTAX  INTEGER (1..28)
+        MAX-ACCESS  read-only
+        STATUS  current
+        DESCRIPTION
+            "This object indicates the port.
+            The available of index for fiber ports."
+            ::= {ddmThresholdMgmtEntry 1}	
+    
+    ddmThresholdType	OBJECT-TYPE
+    		SYNTAX	INTEGER{
+                     	temperature(0),
+                    	voltage(1),
+                    	bias(2),
+                    	txPower(3),
+                    	rxPower(4)
+                  }  
+        MAX-ACCESS  read-only
+        STATUS  current
+        DESCRIPTION
+            "This object indicates the threshold type."
+            ::= {ddmThresholdMgmtEntry 2}  
+            
+    ddmHighAlarm	OBJECT-TYPE
+    		SYNTAX  DisplayString
+        MAX-ACCESS  read-write
+        STATUS  current
+        DESCRIPTION
+            "This object indicates the high alarm threshold value to be configured. As the 
+            value is a floating point data type, the DisplayString type is used to define this parameter."
+            ::= {ddmThresholdMgmtEntry 3}  
+            
+    ddmLowAlarm 	OBJECT-TYPE
+    		SYNTAX  DisplayString
+        MAX-ACCESS  read-write
+        STATUS  current
+        DESCRIPTION
+            "This object indicates the low alarm threshold value to be configured. As the
+             value is a floating data type, the DisplayString type is used to define this parameter."
+            ::= {ddmThresholdMgmtEntry 4}  
+                             
+    ddmHighWarning	OBJECT-TYPE
+    		SYNTAX  DisplayString
+        MAX-ACCESS  read-write
+        STATUS  current
+        DESCRIPTION
+            "This object indicates the high warning threshold value to be configured. As 
+            the value is a floating data type, the DisplayString type is used to define this parameter."
+            ::= {ddmThresholdMgmtEntry 5} 
+            
+    ddmLowWarning  OBJECT-TYPE
+        SYNTAX  DisplayString
+        MAX-ACCESS  read-write
+        STATUS  current
+        DESCRIPTION
+            "This object indicates the low warning threshold value to be configured. As 
+            the value is a floating data type, the DisplayString type is used to define this parameter."
+            ::= {ddmThresholdMgmtEntry 6}     
+
+
+
+-- --------------------------------------------------------------------------
+-- DdmInfo
+-- --------------------------------------------------------------------------
+    ddmStatus  OBJECT IDENTIFIER ::= { ddmInfo 1 }
+
+--DdmStatus
+    ddmStatusTable	OBJECT-TYPE
+    		SYNTAX	SEQUENCE OF DdmStatusEntry
+    		MAX-ACCESS  not-accessible
+    		STATUS  current
+        DESCRIPTION
+                "This table contains the DDM status information."
+            ::= {ddmStatus 1}
+            
+    ddmStatusEntry OBJECT-TYPE
+    		SYNTAX	DdmStatusEntry
+    		MAX-ACCESS  not-accessible
+    		STATUS	current
+    		DESCRIPTION
+    				"This is an entry of the ddmStatusTable."
+    		INDEX  {ddmStatusPort}
+    				::= {ddmStatusTable 1}
+    
+    DdmStatusEntry ::=
+    		SEQUENCE {
+    				ddmStatusPort
+                    INTEGER,
+    				ddmTemperature
+    							DisplayString,
+    				ddmVoltage
+    							DisplayString,
+    				ddmBiasCurrent
+    							DisplayString,
+    				ddmTxPower
+    							DisplayString,
+    				ddmRxPower
+    							DisplayString
+    				}
+
+    ddmStatusPort	OBJECT-TYPE
+    		SYNTAX  INTEGER (1..28)
+        MAX-ACCESS  read-only
+        STATUS  current
+        DESCRIPTION
+            "This object indicates the port.
+            The available of index for fiber ports."
+            ::= {ddmStatusEntry 1}	
+            				 
+    ddmTemperature OBJECT-TYPE
+    		SYNTAX  DisplayString
+        MAX-ACCESS  read-only
+        STATUS  current
+        DESCRIPTION
+            "This object indicates the real time value of the temperature. As the value 
+             is a floating point data type, the DisplayString type is used to define this parameter."
+            ::= {ddmStatusEntry 2}  
+            
+    ddmVoltage OBJECT-TYPE
+    		SYNTAX  DisplayString
+        MAX-ACCESS  read-only
+        STATUS  current
+        DESCRIPTION
+            "This object indicates the real time value of the supply voltage. As the value 
+             value is a floating point data type, the DisplayString type is used to define this parameter."
+            ::= {ddmStatusEntry 3} 
+            
+    ddmBiasCurrent OBJECT-TYPE
+    		SYNTAX  DisplayString
+        MAX-ACCESS  read-only
+        STATUS  current
+        DESCRIPTION
+            "This object indicates the real time value of the tx bias."
+            ::= {ddmStatusEntry 4} 
+            
+    ddmTxPower OBJECT-TYPE
+    		SYNTAX  DisplayString
+        MAX-ACCESS  read-only
+        STATUS  current
+        DESCRIPTION
+            "This object indicates the real time value of the tx power. As the value 
+             is a floating point data type, the DisplayString type is used to define this parameter."
+            ::= {ddmStatusEntry 5} 
+            
+    ddmRxPower OBJECT-TYPE
+    		SYNTAX  DisplayString
+        MAX-ACCESS  read-only
+        STATUS  current
+        DESCRIPTION
+            "This object indicates the real time value of the rx power. As the value is 
+            a floating data type, the DisplayString type is used to define this parameter."
+            ::= {ddmStatusEntry 6} 
+      
+
+
+        -- -------------------------------------------------------------------------
+        -- companyFTPGroup         
+        -- -------------------------------------------------------------------------
+          ftpFwTable       OBJECT IDENTIFIER ::= { companyFTPGroup 1 }
+          ftpConfigTable       OBJECT IDENTIFIER ::= { companyFTPGroup 2 }
+
+        ftpFwServerIpAddress OBJECT-TYPE
+              SYNTAX DisplayString (SIZE(1..64))
+              MAX-ACCESS read-write
+              STATUS obsolete
+              DESCRIPTION
+              "The FTP server's IPv4 address or IPv6 address is used to upload or
+  		        download firmware."
+              ::= { ftpFwTable 1}
+                          
+        ftpFwImageFileName OBJECT-TYPE
+             SYNTAX DisplayString (SIZE(1..64))
+             MAX-ACCESS read-write
+             STATUS obsolete
+             DESCRIPTION
+              "Firmware file name used to upload or download firmware."
+             ::= { ftpFwTable 2 }
+
+        ftpFwUsername OBJECT-TYPE
+             SYNTAX DisplayString (SIZE(1..20))
+             MAX-ACCESS read-write
+             STATUS obsolete
+             DESCRIPTION
+              "FTP username to login FTP."
+             ::= { ftpFwTable 3}
+  
+          ftpFwPassword OBJECT-TYPE
+             SYNTAX DisplayString (SIZE(1..20))
+             MAX-ACCESS read-write
+             STATUS obsolete
+             DESCRIPTION
+             "FTP password to login FTP."
+             ::= { ftpFwTable 4 }
+   
+           ftpFwPath OBJECT-TYPE
+             SYNTAX DisplayString (SIZE(1..64))
+             MAX-ACCESS read-write
+             STATUS obsolete
+             DESCRIPTION
+             "FTP path can find file folder."
+             ::= { ftpFwTable 5}            
+   
+             ftpFwPort OBJECT-TYPE
+             SYNTAX  Integer32 (1..65535) 
+             MAX-ACCESS read-write
+             STATUS obsolete
+             DESCRIPTION
+             "FTP port to login FTP."
+             ::= { ftpFwTable 6}
+             
+ 
+        ftpFwFTPOperation OBJECT-TYPE
+             SYNTAX INTEGER {
+                    none(0),
+                    download(1),
+                    upload(2)
+             }
+             MAX-ACCESS read-write
+             STATUS obsolete
+             DESCRIPTION
+              "The FTP operates to perform downloading the firmware image
+              to the unit. This object is used in conjunction with FTP settings"
+             ::= { ftpFwTable 8 }
+
+        ftpFwFTPOperationStatus OBJECT-TYPE
+             SYNTAX INTEGER {
+                    none(0),
+                    success(1),
+                    fail(2),
+                    progressing(3),
+                    transmit(4)
+             }
+             MAX-ACCESS read-only
+             STATUS obsolete
+             DESCRIPTION
+            "The FTP operation status represent firmware backup or upgrade status."
+             ::= { ftpFwTable 9 }
+        ftpConfigServerIpAddress OBJECT-TYPE
+              SYNTAX DisplayString (SIZE(1..64))
+              MAX-ACCESS read-write
+              STATUS obsolete
+              DESCRIPTION
+              "The FTP server's IPv4 address or IPv6 address is used to upload or
+  		        download firmware."
+              ::= { ftpConfigTable 1 }
+                          
+        ftpConfigFileName OBJECT-TYPE
+             SYNTAX DisplayString (SIZE(1..64))
+             MAX-ACCESS read-write
+             STATUS obsolete
+             DESCRIPTION
+              "Config file name used to upload or download Config."
+             ::= { ftpConfigTable 2}
+
+        ftpConfigUsername OBJECT-TYPE
+             SYNTAX DisplayString (SIZE(1..20))
+             MAX-ACCESS read-write
+             STATUS obsolete
+             DESCRIPTION
+            "FTP username to login FTP."
+             ::= { ftpConfigTable 3}
+  
+          ftpConfigPassword OBJECT-TYPE
+             SYNTAX DisplayString (SIZE(1..20))
+             MAX-ACCESS read-write
+             STATUS obsolete
+             DESCRIPTION
+            "FTP password to login FTP."
+             ::= { ftpConfigTable 4}
+   
+           ftpConfigPath OBJECT-TYPE
+             SYNTAX DisplayString (SIZE(1..64))
+             MAX-ACCESS read-write
+             STATUS obsolete
+             DESCRIPTION
+             "FTP path can find file folder."
+             ::= { ftpConfigTable 5}            
+ 
+             ftpConfigPort OBJECT-TYPE
+             SYNTAX  Integer32 (1..65535) 
+             MAX-ACCESS read-write
+             STATUS obsolete
+             DESCRIPTION
+             "FTP port to login FTP."
+             ::= { ftpConfigTable 6}
+             
+             ftpConfigConfigID OBJECT-TYPE
+             SYNTAX INTEGER {
+                    configID1(1),
+                    configID2(2)
+             }
+             MAX-ACCESS read-write
+             STATUS current
+             DESCRIPTION
+             "Config image id can select imageid1 or imageid2 to flash"
+             ::= { ftpConfigTable 7 }
+ 
+        ftpConfigFTPOperation OBJECT-TYPE
+             SYNTAX INTEGER {
+                    none(0),
+                    download(1),
+                    upload(2)
+             }
+             MAX-ACCESS read-write
+             STATUS obsolete
+             DESCRIPTION
+              "The FTP operates to perform downloading the config image
+              to the unit. This object is used in conjunction with FTP settings"
+             ::= { ftpConfigTable 8 }
+
+        ftpConfigFTPOperationStatus OBJECT-TYPE
+             SYNTAX INTEGER {
+                    none(0),
+                    success(1),
+                    fail(2),
+                    progressing(3),
+                    transmit(4)
+             }
+             MAX-ACCESS read-only
+             STATUS obsolete
+             DESCRIPTION
+             "The FTP operation status represent config backup or upgrade status."
+             ::= { ftpConfigTable 9}
+	
+	statisticsClearPortList OBJECT-TYPE
+			SYNTAX      PortList
+			MAX-ACCESS  read-write
+			STATUS      current
+			DESCRIPTION
+            "This object allow the user to set the port list for Statistics."
+			::= { companyStatistics 1 }
+		
+    statisticsClear OBJECT-TYPE 
+			SYNTAX      TruthValue 
+			MAX-ACCESS  read-write 
+			STATUS      current 
+			DESCRIPTION 
+			"This object allows the user to clear Statistics entry.
+			Setting  a value of 'true' causes the Statistics entry to 
+			be cleared."
+			DEFVAL  { false }
+           ::= { companyStatistics 2 }
+
+-- ----------------------------------------------------------
+-- The companyLedPanel Groups
+-- ----------------------------------------------------------      	
+   swLedPanelstate                  OBJECT IDENTIFIER ::= { companyswLedPanel 1 }
+
+	swLedInfoTable OBJECT-TYPE
+        SYNTAX  SEQUENCE OF SwLedInfoEntry
+        MAX-ACCESS  not-accessible
+        STATUS  current
+        DESCRIPTION
+            "This table contains the LED information."
+        ::= { swLedPanelstate 1 }
+        
+	swLedInfoEntry OBJECT-TYPE
+        SYNTAX  SwLedInfoEntry
+        MAX-ACCESS  not-accessible
+        STATUS  current
+        DESCRIPTION
+            "A list of front panel LED information for each unit in the system."
+        INDEX  { swLedInfoUnitId }
+        ::= { swLedInfoTable 1 }
+        
+	SwLedInfoEntry ::=
+        SEQUENCE {
+				swLedInfoUnitId
+					INTEGER,
+				swLedInfoFrontPanelLedStatus					
+					OCTET STRING
+		}
+
+	swLedInfoUnitId OBJECT-TYPE
+        SYNTAX  INTEGER (1..2)
+        MAX-ACCESS  read-only
+        STATUS  current
+        DESCRIPTION
+            "The object indicates the unit ID."
+        ::= { swLedInfoEntry 1 }
+        
+	swLedInfoFrontPanelLedStatus OBJECT-TYPE
+        SYNTAX  OCTET STRING 
+        MAX-ACCESS  read-only
+        STATUS  current
+        DESCRIPTION
+				"This object is a set of system LED indicators. The first 32 octets are 
+				defined as next, and following octets are for logical port LED.
+				
+				Octet 1 is console led:
+						0x01 = a user is login through console
+						0x02 = no user is login through console
+
+				Octet 2-32 are reserved."
+        ::= { swLedInfoEntry 2 }
+          
 		-- *****************************************************************
 		--
 		--  Enterprise Trap group 
